Bug 3665 - Proposed changes to staff advanced search page
Summary: Proposed changes to staff advanced search page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-25 12:05 UTC by Jane Wagner
Modified: 2012-10-25 23:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Changes to staff advanced search screenshot (36.90 KB, image/jpeg)
2009-09-25 12:05 UTC, Chris Cormack
Details
Proposed fix (1.55 KB, patch)
2010-12-31 20:32 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:13:29 UTC


---- Reported by jwagner@ptfs.com 2009-09-25 12:05:20 ----

Created an attachment
Changes to staff advanced search screenshot

This is to make the same changes as in http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3663 (OPAC advanced search) to the staff advanced search.

First change is to copy the Search button from the bottom of the screen to up under the Keyword etc. search boxes, so someone doesn't have to scroll down for it.  Either button will work.

Second change is to reorder the entries in the search box pulldowns.  I've rearranged the list so that Keyword, Title, Subject, Author are first in the list, as I did in the OPAC advanced search.  I moved Barcode and Standard Number to next in the list to make them more visible to staff, and modified the description of Standard Number to Standard (biblio) Number because it's not clear that it means the biblio number.  The rest of the existing search options follow.



---- Additional Comments From jwagner@ptfs.com 2010-05-12 13:32:38 ----

The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branch http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3665





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:13 UTC  ---

This bug was previously known as _bug_ 3665 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3665
Imported an attachment (id=1499)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was jwagner@ptfs.com.
Bug reassigned, setting status to "NEW".
   Previous status was "ASSIGNED".
The original submitter of attachment 1499 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2010-12-31 20:32:43 UTC
Created attachment 2934 [details] [review]
Proposed fix

This is the only change proposed in Bug 3665 which hasn't already been implemented by someone else. It adds a submit button under the first section of the advanced search page just like the OPAC advanced search has.
Comment 2 Chris Cormack 2011-01-01 20:32:20 UTC
Pushed, please test
Comment 3 MJ Ray (software.coop) 2011-01-11 12:57:55 UTC
This bug is mentioned in:
Fix for Bug 3665,	adding another submit button as in OPAC http://lists.koha-community.org/pipermail/koha-patches/2010-December/013495.html
Fix for Bug 3665,	adding another submit button as in OPAC http://lists.koha-community.org/pipermail/koha-patches/2010-December/013492.html